﻿<!-- DevExtreme library -->
<script type="text/javascript" src="~/assets/plugins/dxDataGrid/dx.all.js"></script>
<script type="text/javascript" src="~/assets/plugins/dxDataGrid/exceljs/polyfill.min.js"></script>
<script type="text/javascript" src="~/assets/plugins/dxDataGrid/exceljs/exceljs.min.js"></script>
<script type="text/javascript" src="~/assets/plugins/dxDataGrid/FileSaver/FileSaver.min.js"></script>


<script type="text/javascript">
	// console.log(data_json[0]);

	var _height_Window 	= $(window).height();
	var _height_Header 	= $('.iq-top-navbar').height();
	var _height_Title 	= $('.iq-card-header').height();
	var _height_Footer 	= $('.iq-footer').height();

	// console.log(_height_Window);
	// console.log(_height_Header);
	// console.log(_height_Title);
	// console.log(_height_Footer);
	/* Config scroll table - Xoá comment để kích hoạt */
	var flag_fixed = false;
	if($(window).width() > 760){
		$('#gridContainer').height(_height_Window - _height_Header - _height_Title - _height_Footer - 76);
		flag_fixed = true;
	}else{
		$('#gridContainer').height(_height_Window);
		if($(window).width() > 375){
			flag_fixed = true;
		}else{
			flag_fixed = false;
		}
	}
    console.log("flag_fixed: ",flag_fixed);

	var _responsiveData = [
        {
            "STT": 1,
            "TenBoPhan": "Dự án",
            "HoTen": "Nguyễn Văn A",
            "T2": "X",
            "T3": "X",
            "T4": "X",
            "T5": "X",
            "T6": "X",
            "T7": "",
            "TenViTriVPLamViec": "VP26",
            "TenPhanNhom": "Nhom 5",
            "TenViTriLamViec": "Dự án",
            "TenViTriDeXe": "Tại khu vực để xe cho DA",
            "TenViTriVeSinh": "VS-P Dự Án",
            "TenViTriNhaAn": "Nhà ăn A2"
        }
	];
    $('.btnXemBaoCaoDanhSachDiLamTuan').click(function () {
         jQuery("#loading").fadeIn();
        var NgayDangKyTuNgay = $('#NgayDangKyTuNgay').val();
        var NgayDangKyDenNgay = $('#NgayDangKyDenNgay').val();
        var DonVi = $('#DonVi').val();
        $.ajax({
            url: '@Url.Action("GetData_BaoCaoTang", "Admin")',
            type: 'POST',
            data: { NgayDangKyTuNgay: NgayDangKyTuNgay, NgayDangKyDenNgay: NgayDangKyDenNgay, DonVi: DonVi },
            dataType: 'json',
            success: function (data) {
                $("#gridContainer").dxDataGrid({
                    dataSource: data,
				    showBorders: true,
                    showRowLines: true,
                    searchPanel: {
                        visible: true,
                        highlightCaseSensitive: true
                    },
                    headerFilter: {
                        visible: true
                    },
				    paging: {
                      pageSize: 10,
                    },
                    pager: {
                      showPageSizeSelector: true,
                      allowedPageSizes: [10, 25, 50, 100],
                    },
                    columnAutoWidth: true,
                    export: {
                        enabled: true
                    },
                    onExporting(e) {
                      const workbook = new ExcelJS.Workbook();
                      const worksheet = workbook.addWorksheet('BaoCaoTang');
                      var borderStylePattern = { style: 'thick', color: { argb: 'FF7E7E7E' } };
                      DevExpress.excelExporter.exportDataGrid({
                        component: e.component,
                        worksheet,
                        topLeftCell: { row: 4, column: 1 },
                      }).then((cellRange) => {
                        // header
                        const headerRow = worksheet.getRow(2);
                        headerRow.height = 30;
                        worksheet.mergeCells(2, 1, 2, 8);

                        headerRow.getCell(1).value = 'BÁO CÁO TĂNG';
                        headerRow.getCell(1).font = { name: 'Arial', size: 22 };
                        headerRow.getCell(1).alignment = { horizontal: 'center' };

                        
                      }).then(() => {
                        workbook.xlsx.writeBuffer().then((buffer) => {
                          saveAs(new Blob([buffer], { type: 'application/octet-stream' }), 'BaoCaoTang.xlsx');
                        });
                      });
                      e.cancel = true;
                    },
                    columns:
                        [
                            {
                                caption: "STT",
                                alignment: "center",
                                fixed: flag_fixed,
                                columns: [
                                    {
                                        alignment: "center",
                                        columns: [{
                                            caption: "1",
                                            headerCellTemplate: function (container) {
                                                container.html('1').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
                                            },
                                            dataField: "STT",
                                            alignment: "center"
                                        }]
                                    }
                                ]
                            }, {
                                caption: "Bộ phận",
                                alignment: "center",
                                fixed: flag_fixed,
                                columns: [
                                    {
                                        alignment: "center",
                                        columns: [{
                                            caption:"2",
                                            headerCellTemplate: function (container) {
                                                container.html('2').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
                                            },
                                            dataField: "TenBoPhan",
                                            alignment: "center"
                                        }]
                                    }
                                ]
                            },{
                                caption: "Họ tên",
                                alignment: "center",
                                fixed: flag_fixed,
                                columns: [
                                    {
                                        alignment: "center",
                                        columns: [{
                                            caption:"3",
                                            headerCellTemplate: function (container) {
                                                container.html('3').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
                                            },
                                            dataField: "HoTen",
                                            alignment: "left"
                                        }]
                                    }
                                ]
                            },{
                                caption: "Số ĐT",
                                alignment: "center",
                                fixed: flag_fixed,
                                columns: [
                                    {
                                        alignment: "center",
                                        columns: [{
                                            caption:"4",
                                            headerCellTemplate: function (container) {
                                                container.html('4').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
                                            },
                                            dataField: "DienThoai",
                                            alignment: "left"
                                        }]
                                    }
                                ]
                            },{
                                caption: "Năm sinh",
                                alignment: "center",
                                fixed: flag_fixed,
                                columns: [
                                    {
                                        alignment: "center",
                                        columns: [{
                                            caption:"5",
                                            headerCellTemplate: function (container) {
                                                container.html('5').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
                                            },
                                            dataField: "NgaySinh",
                                            alignment: "left"
                                        }]
                                    }
                                ]
                            },{
                                caption: "Địa chỉ",
                                alignment: "center",
                                fixed: flag_fixed,
                                columns: [
                                    {
                                        alignment: "center",
                                        columns: [{
                                            caption:"6",
                                            headerCellTemplate: function (container) {
                                                container.html('6').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
                                            },
                                            dataField: "DiaChi",
                                            alignment: "left"
                                        }]
                                    }
                                ]
                            },
                            {
                                caption: "Lịch làm việc theo tuần",
                                alignment: "center",
                                fixed: flag_fixed,
                                columns: [
                                    {
                                        caption: "T2",
                                        alignment: "center",
                                        columns: [{
                                            caption: "7",
                                            headerCellTemplate: function (container) {
                                                container.html('7').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
                                            },
                                            cellTemplate: function (container, options) {
                                                if (options.value == 0) {
                                                    $("<span class='0'>").append('').appendTo(container);
                                                } else {
                                                    $("<span class='1'>").append('X').appendTo(container);
                                                }
                                            },
                                            dataField: "T2",
                                            alignment: "center"
                                        }]
                                    },
                                    {
                                        caption: "T3",
                                        alignment: "center",
                                        columns: [{
                                            caption:"8",
                                            headerCellTemplate: function (container) {
                                                container.html('8').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
                                            },
                                            cellTemplate: function (container, options) {
                                                if (options.value == 0) {
                                                    $("<span class='0'>").append('').appendTo(container);
                                                } else {
                                                    $("<span class='1'>").append('X').appendTo(container);
                                                }
                                            },
                                            dataField: "T3",
                                            alignment: "center"
                                        }]
                                    },
                                    {
                                        caption: "T4",
                                        alignment: "center",
                                        columns: [{
                                            caption:"9",
                                            headerCellTemplate: function (container) {
                                                container.html('9').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
                                            },
                                            cellTemplate: function (container, options) {
                                                if (options.value == 0) {
                                                    $("<span class='0'>").append('').appendTo(container);
                                                } else {
                                                    $("<span class='1'>").append('X').appendTo(container);
                                                }
                                            },
                                            dataField: "T4",
                                            alignment: "center"
                                        }]
                                    },
                                    {
                                        caption: "T5",
                                        alignment: "center",
                                        columns: [{
                                            caption:"10",
                                            headerCellTemplate: function (container) {
                                                container.html('10').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
                                            },
                                            cellTemplate: function (container, options) {
                                                if (options.value == 0) {
                                                    $("<span class='0'>").append('').appendTo(container);
                                                } else {
                                                    $("<span class='1'>").append('X').appendTo(container);
                                                }
                                            },
                                            dataField: "T5",
                                            alignment: "center"
                                        }]
                                    },
                                    {
                                        caption: "T6",
                                        alignment: "center",
                                        columns: [{
                                            caption:"11",
                                            headerCellTemplate: function (container) {
                                                container.html('11').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
                                            },
                                            cellTemplate: function (container, options) {
                                                if (options.value == 0) {
                                                    $("<span class='0'>").append('').appendTo(container);
                                                } else {
                                                    $("<span class='1'>").append('X').appendTo(container);
                                                }
                                            },
                                            dataField: "T6",
                                            alignment: "center"
                                        }]
                                    },
                                    {
                                        caption: "T7",
                                        alignment: "center",
                                        columns: [{
                                            caption:"12",
                                            headerCellTemplate: function (container) {
                                                container.html('12').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
                                            },
                                            cellTemplate: function (container, options) {
                                                if (options.value == 0) {
                                                    $("<span class='0'>").append('').appendTo(container);
                                                } else {
                                                    $("<span class='1'>").append('X').appendTo(container);
                                                }
                                            },
                                            dataField: "T7",
                                            alignment: "center"
                                        }]
                                    }
                                ]
                            },{
                                caption: "VỊ TRÍ VĂN PHÒNG LÀM VIỆC",
                                alignment: "center",
                                fixed: flag_fixed,
                                columns: [
                                    {
                                        alignment: "center",
                                        columns: [{
                                            caption:"13",
                                            headerCellTemplate: function (container) {
                                                container.html('13').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
                                            },
                                            dataField: "TenViTriVPLamViec",
                                            alignment: "center"
                                        }]
                                    }
                                ]
                            },{
                                caption: "PHÂN  NHÓM",
                                alignment: "center",
                                fixed: flag_fixed,
                                columns: [
                                    {
                                        alignment: "center",
                                        columns: [{
                                            caption:"14",
                                            headerCellTemplate: function (container) {
                                                container.html('14').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
                                            },
                                            dataField: "TenPhanNhom",
                                            alignment: "center"
                                        }]
                                    }
                                ]
                            },{
                                caption: "VỊ TRÍ LÀM VIỆC",
                                alignment: "center",
                                fixed: flag_fixed,
                                columns: [
                                    {
                                        alignment: "center",
                                        columns: [{
                                            caption:"15",
                                            headerCellTemplate: function (container) {
                                                container.html('15').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
                                            },
                                            dataField: "TenViTriLamViec",
                                            alignment: "center"
                                        }]
                                    }
                                ]
                            },{
                                caption: "VỊ TRÍ ĐỂ XE",
                                alignment: "center",
                                fixed: flag_fixed,
                                columns: [
                                    {
                                        alignment: "center",
                                        columns: [{
                                            caption:"16",
                                            headerCellTemplate: function (container) {
                                                container.html('16').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
                                            },
                                            dataField: "TenViTriDeXe",
                                            alignment: "center"
                                        }]
                                    }
                                ]
                            },{
                                caption: "VỊ TRÍ VỆ SINH",
                                alignment: "center",
                                fixed: flag_fixed,
                                columns: [
                                    {
                                        alignment: "center",
                                        columns: [{
                                            caption:"17",
                                            headerCellTemplate: function (container) {
                                                container.html('17').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
                                            },
                                            dataField: "TenViTriVeSinh",
                                            alignment: "center"
                                        }]
                                    }
                                ]
                            },{
                                caption: "VỊ TRÍ NHÀ ĂN",
                                alignment: "center",
                                fixed: flag_fixed,
                                columns: [
                                    {
                                        alignment: "center",
                                        columns: [{
                                            caption:"18",
                                            headerCellTemplate: function (container) {
                                                container.html('18').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
                                            },
                                            dataField: "TenViTriNhaAn",
                                            alignment: "center"
                                        }]
                                    }
                                ]
                            },
          //                  {
          //                      headerCellTemplate: function (container) {
          //                          container.html('STT').parent().css({ fontWeight: 'bold', verticalAlign: 'middle' }).attr({ 'rowspan': '2' });
          //                      },
          //                      alignment: "center",
          //                      fixed: flag_fixed,
          //                      columns:
          //                          [
          //                              {
          //                                  headerCellTemplate: function (container) {
          //                                      container.parent().remove();
          //                                  },
          //                                  columns:
          //                                      [
          //                                          {
          //                                              headerCellTemplate: function (container) {
          //                                                  container.html('1').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
          //                                              },
          //                                              dataField: "STT",
          //                                              alignment: "center"
          //                                          }
          //                                      ]
          //                              }
          //                          ]

          //                  },
          //                  {
          //                      headerCellTemplate: function (container) {
          //                          container.html('Bộ phận').parent().css({ fontWeight: 'bold', verticalAlign: 'middle' }).attr({ 'rowspan': '2' });
          //                      },
          //                      alignment: "center",
          //                      fixed: flag_fixed,
          //                      columns:
          //                          [
          //                              {
          //                                  headerCellTemplate: function (container) {
          //                                      container.parent().remove();
          //                                  },
          //                                  columns:
          //                                      [
          //                                          {
          //                                              headerCellTemplate: function (container) {
          //                                                  container.html('2').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
          //                                              },
          //                                              dataField: "TenBoPhan",
          //                                              alignment: "left"
          //                                          }
          //                                      ]
          //                              }
          //                          ]

          //                  },
          //                  {
          //                      headerCellTemplate: function (container) {
          //                          container.text('Họ tên').parent().css({ fontWeight: 'bold', verticalAlign: 'middle' }).attr({ 'rowspan': '2' });
          //                      },
          //                      alignment: "center",
          //                      fixed: flag_fixed,
          //                      columns:
          //                          [
          //                              {
          //                                  headerCellTemplate: function (container) {
          //                                      container.parent().remove();
          //                                  },
          //                                  columns:
          //                                      [
          //                                          {
          //                                              headerCellTemplate: function (container) {
          //                                                  container.html('3').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
          //                                              },
          //                                              dataField: "HoTen",
          //                                              alignment: "left"
          //                                          }
          //                                      ]
          //                              }
          //                          ]

          //                  },
						    //{

          //                      headerCellTemplate: function (container) {
          //                          container.text('Lịch làm việc theo tuần').parent().css({ fontWeight: 'bold', verticalAlign: 'middle' });
          //                      },
          //                      alignment: "center",
          //                      columns:
          //                          [
          //                              {
          //                                  headerCellTemplate: function (container) {
          //                                      container.html('T2').parent().css({ fontWeight: 'bold' });
          //                                  },
										//    alignment: "center",
          //                                  columns:
          //                                      [
          //                                          {
          //                                              headerCellTemplate: function (container) {
          //                                                  container.html('7').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' });
          //                                              },
          //                                              cellTemplate: function (container, options) {
          //                                                   if (options.value == 0) {
          //                                                      $("<span class='0'>").append('').appendTo(container);
          //                                                  } else {
          //                                                      $("<span class='1'>").append('X').appendTo(container);
          //                                                  } 
          //                                              },
          //                                              dataField: "T2",
          //                                              alignment: "center"
          //                                          }
          //                                      ]
          //                              },
          //                              {
          //                                  headerCellTemplate: function (container) {
          //                                      container.html('T3').parent().css({ fontWeight: 'bold' });
          //                                  },
          //                                  alignment: "center",
          //                                  columns:
          //                                      [
          //                                          {
          //                                              headerCellTemplate: function (container) {
          //                                                  container.html('8').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' });
          //                                              },
          //                                              cellTemplate: function (container, options) {
          //                                                   if (options.value == 0) {
          //                                                      $("<span class='0'>").append('').appendTo(container);
          //                                                  } else {
          //                                                      $("<span class='1'>").append('X').appendTo(container);
          //                                                  } 
          //                                              },
          //                                              dataField: "T3",
          //                                              alignment: "center"
          //                                          }
          //                                      ]
          //                              },
          //                              {
          //                                  headerCellTemplate: function (container) {
          //                                      container.html('T4').parent().css({ fontWeight: 'bold' });
          //                                  },
          //                                  alignment: "center",
          //                                  columns:
          //                                      [
          //                                          {
          //                                              headerCellTemplate: function (container) {
          //                                                  container.html('9').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' });
          //                                              },
          //                                              cellTemplate: function (container, options) {
          //                                                   if (options.value == 0) {
          //                                                      $("<span class='0'>").append('').appendTo(container);
          //                                                  } else {
          //                                                      $("<span class='1'>").append('X').appendTo(container);
          //                                                  } 
          //                                              },
          //                                              dataField: "T4",
          //                                              alignment: "center"
          //                                          }
          //                                      ]
          //                              },
          //                              {
          //                                  headerCellTemplate: function (container) {
          //                                      container.html('T5').parent().css({ fontWeight: 'bold' });
          //                                  },
          //                                  alignment: "center",
          //                                  columns:
          //                                      [
          //                                          {
          //                                              headerCellTemplate: function (container) {
          //                                                  container.html('10').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' });
          //                                              },
          //                                              cellTemplate: function (container, options) {
          //                                                   if (options.value == 0) {
          //                                                      $("<span class='0'>").append('').appendTo(container);
          //                                                  } else {
          //                                                      $("<span class='1'>").append('X').appendTo(container);
          //                                                  } 
          //                                              },
          //                                              dataField: "T5",
          //                                              alignment: "center"
          //                                          }
          //                                      ]
          //                              },
          //                              {
          //                                  headerCellTemplate: function (container) {
          //                                      container.html('T6').parent().css({ fontWeight: 'bold' });
          //                                  },
          //                                  alignment: "center",
          //                                  columns:
          //                                      [
          //                                          {
          //                                              headerCellTemplate: function (container) {
          //                                                  container.html('11').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' });
          //                                              },
          //                                              cellTemplate: function (container, options) {
          //                                                   if (options.value == 0) {
          //                                                      $("<span class='0'>").append('').appendTo(container);
          //                                                  } else {
          //                                                      $("<span class='1'>").append('X').appendTo(container);
          //                                                  } 
          //                                              },
          //                                              dataField: "T6",
          //                                              alignment: "center"
          //                                          }
          //                                      ]
          //                              },
          //                              {
          //                                  headerCellTemplate: function (container) {
          //                                      container.html('T7').parent().css({ fontWeight: 'bold' });
          //                                  },
          //                                  alignment: "center",
          //                                  columns:
          //                                      [
          //                                          {
          //                                              headerCellTemplate: function (container) {
          //                                                  container.html('12').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' });
          //                                              },
          //                                              cellTemplate: function (container, options) {
          //                                                   if (options.value == 0) {
          //                                                      $("<span class='0'>").append('').appendTo(container);
          //                                                  } else {
          //                                                      $("<span class='1'>").append('X').appendTo(container);
          //                                                  } 
          //                                              },
          //                                              dataField: "T7",
          //                                              alignment: "center"
          //                                          }
          //                                      ]
          //                              }

          //                          ]

          //                  },
          //                  {
          //                      headerCellTemplate: function (container) {
          //                          container.html('VỊ TRÍ VĂN<br> PHÒNG LÀM <br>VIỆC').parent().css({ fontWeight: 'bold', verticalAlign: 'middle' }).attr({ 'rowspan': '2' });
          //                      },
          //                      alignment: "center",
          //                      columns:
          //                          [
          //                              {
          //                                  headerCellTemplate: function (container) {
          //                                      container.parent().remove();
          //                                  },
          //                                  columns:
          //                                      [
          //                                          {
          //                                              headerCellTemplate: function (container) {
          //                                                  container.html('13').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
          //                                              },
          //                                              dataField: "TenViTriVPLamViec",
          //                                              alignment: "center"
          //                                          }
          //                                      ]
          //                              }
          //                          ]
          //                  },
          //                  {
          //                      headerCellTemplate: function (container) {
          //                          container.html('PHÂN<br>NHÓM').parent().css({ fontWeight: 'bold', textAlign: 'center', verticalAlign: 'middle' }).attr({ 'rowspan': '2' });
          //                      },
          //                      columns:
          //                          [
          //                              {
          //                                  headerCellTemplate: function (container) {
          //                                      container.parent().remove();
          //                                  },
          //                                  columns:
          //                                      [
          //                                          {
          //                                              headerCellTemplate: function (container) {
          //                                                  container.html('14').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
          //                                              },
          //                                              dataField: "TenPhanNhom",
          //                                              alignment: "center"
          //                                          }
          //                                      ]
          //                              }
          //                          ]
          //                  },
          //                  {
          //                      headerCellTemplate: function (container) {
          //                          container.html('VỊ TRÍ LÀM VIỆC').parent().css({ fontWeight: 'bold', textAlign: 'center', verticalAlign: 'middle' }).attr({ 'rowspan': '2' });
          //                      },
          //                      columns:
          //                          [
          //                              {
          //                                  headerCellTemplate: function (container) {
          //                                      container.parent().remove();
          //                                  },
          //                                  columns:
          //                                      [
          //                                          {
          //                                              headerCellTemplate: function (container) {
          //                                                  container.html('15').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
          //                                              },
          //                                              dataField: "TenViTriLamViec",
          //                                              alignment: "center"
          //                                          }
          //                                      ]
          //                              }
          //                          ]
          //                  },
          //                  {
          //                      headerCellTemplate: function (container) {
          //                          container.html('VỊ TRÍ ĐỂ XE').parent().css({ fontWeight: 'bold', textAlign: 'center', verticalAlign: 'middle' }).attr({ 'rowspan': '2' });
          //                      },
          //                      columns:
          //                          [
          //                              {
          //                                  headerCellTemplate: function (container) {
          //                                      container.parent().remove();
          //                                  },
          //                                  columns:
          //                                      [
          //                                          {
          //                                              headerCellTemplate: function (container) {
          //                                                  container.html('16').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
          //                                              },
          //                                              dataField: "TenViTriDeXe",
          //                                              alignment: "center"
          //                                          }
          //                                      ]
          //                              }
          //                          ]
          //                  },
          //                  {
          //                      headerCellTemplate: function (container) {
          //                          container.text('VỊ TRÍ VỆ SINH').parent().css({ fontWeight: 'bold', textAlign: 'center', verticalAlign: 'middle' }).attr({ 'rowspan': '2' });
          //                      },
          //                      columns:
          //                          [
          //                              {
          //                                  headerCellTemplate: function (container) {
          //                                      container.parent().remove();
          //                                  },
          //                                  columns:
          //                                      [
          //                                          {
          //                                              headerCellTemplate: function (container) {
          //                                                  container.html('17').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
          //                                              },
          //                                              dataField: "TenViTriVeSinh",
          //                                              alignment: "center"
          //                                          }
          //                                      ]
          //                              }
          //                          ]
          //                  },
          //                  {
          //                      headerCellTemplate: function (container) {
          //                          container.text('VỊ TRÍ NHÀ ĂN').parent().css({ fontWeight: 'bold', textAlign: 'center', verticalAlign: 'middle' }).attr({ 'rowspan': '2' });
          //                      },
          //                      columns:
          //                          [
          //                              {
          //                                  headerCellTemplate: function (container) {
          //                                      container.parent().remove();
          //                                  },
          //                                  columns:
          //                                      [
          //                                          {
          //                                              headerCellTemplate: function (container) {
          //                                                  container.html('18').parent().css({ fontSize: '10px', backgroundColor: '#f7ffce' }).attr({ 'rowspan': '' });
          //                                              },
          //                                              dataField: "TenViTriNhaAn",
          //                                              alignment: "center"
          //                                          }
          //                                      ]
          //                              }
          //                          ]
          //                  }
                        ],
                    summary: {
                        calculateCustomSummary: function (options) {
                            if (options.name === "DemGiaTriKhacRong") {
                                if (options.summaryProcess === "start") {
                                    options.totalValue = 0;
                                }
                                if (options.summaryProcess === "calculate") {
                                    //console.log(options);
                                    //console.log(options.value);
                                    if (options.value !== 0) {
                                        options.totalValue = options.totalValue + 1;
                                    }
                                }
                            }
                        },
                        totalItems:
                            [
                                {
                                    column: "STT",
                                    summaryType: "count",
                                    displayFormat: "{0}"
                                },
                                {
                                    displayFormat: "X",
                                    showInColumn: "DonVi"
                                },
                                {
                                    displayFormat: "TỔNG CỘNG",
                                    showInColumn: "HoTen"
                                },
                                {
                                    column: "T2",
                                    summaryType: "count",
                                    displayFormat: "{0}",
                                    name: "DemGiaTriKhacRong",
                                    summaryType: "custom"
                                },
                                {
                                    column: "T3",
                                    summaryType: "count",
                                    displayFormat: "{0}",
                                    name: "DemGiaTriKhacRong",
                                    summaryType: "custom"
                                },
                                {
                                    column: "T4",
                                    summaryType: "count",
                                    displayFormat: "{0}",
                                    name: "DemGiaTriKhacRong",
                                    summaryType: "custom"
                                },
                                {
                                    column: "T5",
                                    summaryType: "count",
                                    displayFormat: "{0}",
                                    name: "DemGiaTriKhacRong",
                                    summaryType: "custom"
                                },
                                {
                                    column: "T6",
                                    summaryType: "count",
                                    displayFormat: "{0}",
                                    name: "DemGiaTriKhacRong",
                                    summaryType: "custom"
                                },
                                {
                                    column: "T7",
                                    summaryType: "count",
                                    displayFormat: "{0}",
                                    name: "DemGiaTriKhacRong",
                                    summaryType: "custom"
                                },
                                {
                                    column: "ViTriVanPhongLamViec",
                                    summaryType: "count",
                                    displayFormat: "{0}",
                                    name: "DemGiaTriKhacRong",
                                    summaryType: "custom"
                                },
                                {
                                    column: "PhanNhom",
                                    summaryType: "count",
                                    displayFormat: "{0}",
                                    name: "DemGiaTriKhacRong",
                                    summaryType: "custom"
                                },
                                {
                                    column: "ViTriLamViec",
                                    summaryType: "count",
                                    displayFormat: "{0}",
                                    name: "DemGiaTriKhacRong",
                                    summaryType: "custom"
                                },
                                {
                                    column: "ViTriDeXe",
                                    summaryType: "count",
                                    displayFormat: "{0}",
                                    name: "DemGiaTriKhacRong",
                                    summaryType: "custom"
                                },
                                {
                                    column: "ViTriVeSinh",
                                    summaryType: "count",
                                    displayFormat: "{0}",
                                    name: "DemGiaTriKhacRong",
                                    summaryType: "custom"
                                },
                                {
                                    column: "ViTriNhaAn",
                                    summaryType: "count",
                                    displayFormat: "{0}",
                                    name: "DemGiaTriKhacRong",
                                    summaryType: "custom"
                                }

                            ]
                    },
                });
                 jQuery("#loading").fadeOut();
            },
            error: function() {
               jQuery("#loading").fadeOut();
            }
		 })
    })
    



</script>
